Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.io
Class LocalOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--org.omg.CORBA.portable.OutputStream
                  |
                  +--org.omg.CORBA_2_3.portable.OutputStream
                        |
                        +--org.openorb.io.LocalOutputStream

public class LocalOutputStream
extends OutputStream

This class is a very simple OutputStream that implements the basic functionalities for transfering arguments between a server and a client in the same JVM. It is useful for stubs that do not handle local calls, like those generated by the JDK 1.4 idlj. This class uses a `List` for storing the arguments.

Version:
  $Revision: 1.3 $ $Date: 2002/08/01 13:26:59 $
Author:
  Erik Putrycz

Constructor Summary
`LocalOutputStream()` Creates a new instance of LocalOutputStream

Method Summary
`InputStream` | `create_input_stream()`
`void` | `write_any(Any value)`
`void` | `write_boolean_array(boolean[] value, int offset, int length)`
`void` | `write_boolean(boolean value)`
`void` | `write_char_array(char[] value, int offset, int length)`
`void` | `write_char(char value)`
`void` | `write_double_array(double[] value, int offset, int length)`
`void` | `write_double(double value)`
`void` | `write_float_array(float[] value, int offset, int length)`
`void` | `write_float(float value)`
`void` | `write_long_array(int[] value, int offset, int length)`
`void` | `write_long(int value)`
`void` | `write_longlong_array(long[] value, int offset, int length)`
`void` | `write_longlong(long value)`
`void` | `write_Object(Object value)`
`void` | `write_octet_array(byte[] value, int offset, int length)`
`void` | `write_octet(byte value)`
`void` | `write_short_array(short[] value, int offset, int length)`
`void` | `write_short(short value)`
`void` | `write_string(java.lang.String value)`
`void` | `write_TypeCode(TypeCode value)`
`void` | `write_ulong_array(int[] value, int offset, int length)`
`void` | `write_ulong(int value)`
`void` | `write_ulonglong_array(long[] value, int offset, int length)`
`void` | `write_ulonglong(long value)`
`void` | `write_ushort_array(short[] value, int offset, int length)`
`void` | `write_ushort(short value)`
`void` | `write_wchar_array(char[] value, int offset, int length)`
`void` | `write_wchar(char value)`
`void` | `write_wstring(java.lang.String value)`

Methods inherited from class org.omg.CORBA_2_3.portable.OutputStream
`write_abstract_interface, write_value, write_value, write_value, write_value`

Methods inherited from class org.omg.CORBA.portable.OutputStream
`orb, write_Context, write_fixed, write_fixed, write_Principal, write`

Methods inherited from class java.io.OutputStream
`close, flush, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalOutputStream

    public LocalOutputStream()

  Creates a new instance of LocalOutputStream

Method Detail

### create_input_stream

    public InputStream create_input_stream()

  Overrides:
    `create_input_stream` in class `OutputStream`

### write_Object

    public void write_Object(Object value)

  Overrides:
    `write_Object` in class `OutputStream`

### write_TypeCode

    public void write_TypeCode(TypeCode value)

  Overrides:
    `write_TypeCode` in class `OutputStream`

### write_any

    public void write_any(Any value)

  Overrides:
    `write_any` in class `OutputStream`

### write_boolean

    public void write_boolean(boolean value)

  Overrides:
    `write_boolean` in class `OutputStream`

### write_boolean_array

    public void write_boolean_array(boolean[] value,
                                    int offset,
                                    int length)

  Overrides:
    `write_boolean_array` in class `OutputStream`

### write_char

    public void write_char(char value)

  Overrides:
    `write_char` in class `OutputStream`

### write_char_array

    public void write_char_array(char[] value,
                                 int offset,
                                 int length)

  Overrides:
    `write_char_array` in class `OutputStream`

### write_double

    public void write_double(double value)

  Overrides:
    `write_double` in class `OutputStream`

### write_double_array

    public void write_double_array(double[] value,
                                   int offset,
                                   int length)

  Overrides:
    `write_double_array` in class `OutputStream`

### write_float

    public void write_float(float value)

  Overrides:
    `write_float` in class `OutputStream`

### write_float_array

    public void write_float_array(float[] value,
                                  int offset,
                                  int length)

  Overrides:
    `write_float_array` in class `OutputStream`

### write_long

    public void write_long(int value)

  Overrides:
    `write_long` in class `OutputStream`

### write_long_array

    public void write_long_array(int[] value,
                                 int offset,
                                 int length)

  Overrides:
    `write_long_array` in class `OutputStream`

### write_longlong

    public void write_longlong(long value)

  Overrides:
    `write_longlong` in class `OutputStream`

### write_longlong_array

    public void write_longlong_array(long[] value,
                                     int offset,
                                     int length)

  Overrides:
    `write_longlong_array` in class `OutputStream`

### write_octet

    public void write_octet(byte value)

  Overrides:
    `write_octet` in class `OutputStream`

### write_octet_array

    public void write_octet_array(byte[] value,
                                  int offset,
                                  int length)

  Overrides:
    `write_octet_array` in class `OutputStream`

### write_short

    public void write_short(short value)

  Overrides:
    `write_short` in class `OutputStream`

### write_short_array

    public void write_short_array(short[] value,
                                  int offset,
                                  int length)

  Overrides:
    `write_short_array` in class `OutputStream`

### write_string

    public void write_string(java.lang.String value)

  Overrides:
    `write_string` in class `OutputStream`

### write_ulong

    public void write_ulong(int value)

  Overrides:
    `write_ulong` in class `OutputStream`

### write_ulong_array

    public void write_ulong_array(int[] value,
                                  int offset,
                                  int length)

  Overrides:
    `write_ulong_array` in class `OutputStream`

### write_ulonglong

    public void write_ulonglong(long value)

  Overrides:
    `write_ulonglong` in class `OutputStream`

### write_ulonglong_array

    public void write_ulonglong_array(long[] value,
                                      int offset,
                                      int length)

  Overrides:
    `write_ulonglong_array` in class `OutputStream`

### write_ushort

    public void write_ushort(short value)

  Overrides:
    `write_ushort` in class `OutputStream`

### write_ushort_array

    public void write_ushort_array(short[] value,
                                   int offset,
                                   int length)

  Overrides:
    `write_ushort_array` in class `OutputStream`

### write_wchar

    public void write_wchar(char value)

  Overrides:
    `write_wchar` in class `OutputStream`

### write_wchar_array

    public void write_wchar_array(char[] value,
                                  int offset,
                                  int length)

  Overrides:
    `write_wchar_array` in class `OutputStream`

### write_wstring

    public void write_wstring(java.lang.String value)

  Overrides:
    `write_wstring` in class `OutputStream`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD